cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/accounting_codes" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"accounting_code": {
"name": "Consulting revenue",
"account_code_type": "sales_revenue",
"gl_account_number": "940215"
}
}'from exsited import build_client
client = build_client()
response = client.accounting_codes.create_settings_accounting_code(
{
"accounting_code": {
"name": "Consulting revenue",
"account_code_type": "sales_revenue",
"gl_account_number": "940215",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accountingCodes.createSettingsAccountingCode({
accounting_code: {name: 'Consulting revenue', account_code_type: 'sales_revenue', gl_account_number: '940215'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accountingCodes->createSettingsAccountingCode([
'accounting_code' => [
'name' => 'Consulting revenue',
'account_code_type' => 'sales_revenue',
'gl_account_number' => '940215',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.accounting_codes.accounting_codes_dto.AccountingCodesDto.SettingsAccountingCode;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsAccountingCode> response = client.accountingCodes().createSettingsAccountingCode(
Map.of(
"accounting_code", Map.of(
"name", "Consulting revenue",
"account_code_type", "sales_revenue",
"gl_account_number", "940215")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AccountingCodes.CreateSettingsAccountingCodeAsync(new Dictionary<string, object?>
{
["accounting_code"] = new Dictionary<string, object?>
{
["name"] = "Consulting revenue",
["account_code_type"] = "sales_revenue",
["gl_account_number"] = "940215",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accountingCodes.createSettingsAccountingCode({
'accounting_code': {
'name': 'Consulting revenue',
'account_code_type': 'sales_revenue',
'gl_account_number': '940215',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AccountingCodes().CreateSettingsAccountingCode(context.Background(), map[string]any{
"accounting_code": map[string]any{
"name": "Consulting revenue",
"account_code_type": "sales_revenue",
"gl_account_number": "940215",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"accounting_code": {
"account_code_type": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"default_match_key": "<string>",
"description": "<unknown>",
"display_name": "<string>",
"gl_account_name": "<string>",
"gl_account_number": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": 123
}
}Accounting codes
Create an accounting code
Creates an accounting code and returns it under accounting_code.
POST
/
settings
/
accounting_codes
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/accounting_codes" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"accounting_code": {
"name": "Consulting revenue",
"account_code_type": "sales_revenue",
"gl_account_number": "940215"
}
}'from exsited import build_client
client = build_client()
response = client.accounting_codes.create_settings_accounting_code(
{
"accounting_code": {
"name": "Consulting revenue",
"account_code_type": "sales_revenue",
"gl_account_number": "940215",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accountingCodes.createSettingsAccountingCode({
accounting_code: {name: 'Consulting revenue', account_code_type: 'sales_revenue', gl_account_number: '940215'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accountingCodes->createSettingsAccountingCode([
'accounting_code' => [
'name' => 'Consulting revenue',
'account_code_type' => 'sales_revenue',
'gl_account_number' => '940215',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.accounting_codes.accounting_codes_dto.AccountingCodesDto.SettingsAccountingCode;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsAccountingCode> response = client.accountingCodes().createSettingsAccountingCode(
Map.of(
"accounting_code", Map.of(
"name", "Consulting revenue",
"account_code_type", "sales_revenue",
"gl_account_number", "940215")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AccountingCodes.CreateSettingsAccountingCodeAsync(new Dictionary<string, object?>
{
["accounting_code"] = new Dictionary<string, object?>
{
["name"] = "Consulting revenue",
["account_code_type"] = "sales_revenue",
["gl_account_number"] = "940215",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accountingCodes.createSettingsAccountingCode({
'accounting_code': {
'name': 'Consulting revenue',
'account_code_type': 'sales_revenue',
'gl_account_number': '940215',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AccountingCodes().CreateSettingsAccountingCode(context.Background(), map[string]any{
"accounting_code": map[string]any{
"name": "Consulting revenue",
"account_code_type": "sales_revenue",
"gl_account_number": "940215",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"accounting_code": {
"account_code_type": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"default_match_key": "<string>",
"description": "<unknown>",
"display_name": "<string>",
"gl_account_name": "<string>",
"gl_account_number": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": 123
}
}Send the new accounting code under
accounting_code. Give it a name, an account_code_type such as sales_revenue and a gl_account_number. The stored code reports its type in default_match_key as well.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new accounting code, under accounting_code.
Show child attributes
Show child attributes